### Constructor

# Vips Image fractsurf

#### Declaration [src]

    int
    vips_fractsurf (
      VipsImage** out,
      int width,
      int height,
      double fractal_dimension,
      ...
    )

#### Description [src]

Generate an image of size `width` by `height` and fractal dimension `fractal_dimension`. The dimension should be between 2 and 3.

See also

`vips_gaussnoise()`, `vips_mask_fractal()`.

This constructor is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`width`

  Type: `int`

  Output width.

`height`

  Type: `int`

  Output height.

`fractal_dimension`

  Type: `double`

  Fractal dimension.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.